Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
ptlong04x1

Code VBA tính chiều dài các cạnh của LWPolyline

Các bài được khuyến nghị

ptlong04x1    8

Nhờ mọi người gợi ý giúp mình đoạn code VBA sao cho :

Khi click chọn vào 1 đường LWPolyline bất kỳ thì sẽ hiện lên các msgbox thông báo chiều dài của tất cả các cạnh tạo nên đường LWPolyline đó. Cảm ơn mọi người!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
garupro    7

Bạn chỉ cần lấy tất cả các điểm rồi tính chiều dài = điểm trước - điểm sau

 

Sub get_D()
Dim Entry As AcadObject
Dim point As Variant
Dim pline As AcadLWPolyline
Dim cor As Variant
Dim x1 As Double, y1 As Double, x2 As Double, y2 As Double
ThisDrawing.Utility.GetEntity Entry, point, "Chon mot Pline "
If Entry.ObjectName = "AcDbPolyline" Then
  Set pline = Entry
  cor = pline.Coordinates
  For I = 0 To UBound(cor) - 2 Step 2
 	x1 = cor(I)
 	y1 = cor(I + 1)
 	x2 = cor(I + 2)
 	y2 = cor(I + 3)
 	MsgBox tinhchieudai(x1, y1, x2, y2)
  Next
End If
End Sub
Function tinhchieudai(x1 As Double, y1 As Double, x2 As Double, y2 As Double) As Double
tinhchieudai = Sqr((x2 - x1) ^ 2 + (y2 - y1) ^ 2)
End Function

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×